cpw.mods.fml.common.registry

## Class GameData

- java.lang.Object
- - cpw.mods.fml.common.registry.GameData

-     public class GameData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FMLControlledNamespacedRegistry<Block>` | `blockRegistry` Deprecated. use `getBlockRegistry()` instead.
    `static FMLControlledNamespacedRegistry<Item>` | `itemRegistry` Deprecated. use `getItemRegistry()` instead.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.Integer>` | `buildItemDataList()`
    `static void` | `dumpRegistry(java.io.File minecraftDir)`
    `static ModContainer` | `findModOwner(java.lang.String string)` Deprecated. no replacement planned
    `static void` | `fixBrokenIds(java.util.Map<java.lang.String,java.lang.Integer> dataList, java.util.Set<java.lang.Integer> blockedIds)` Fix IDs improperly allocated by early versions of the registry, best-effort.
    `static void` | `freezeData()`
    `static int[]` | `getBlockedIds()`
    `static FMLControlledNamespacedRegistry<Block>` | `getBlockRegistry()` Get the currently active block registry.
    `static FMLControlledNamespacedRegistry<Item>` | `getItemRegistry()` Get the currently active item registry.
    `protected static GameData` | `getMain()`
    `static java.util.List<java.lang.String>` | `injectWorldIDMap(java.util.Map<java.lang.String,java.lang.Integer> dataList, boolean injectFrozenData, boolean isLocalWorld)`
    `static java.util.List<java.lang.String>` | `injectWorldIDMap(java.util.Map<java.lang.String,java.lang.Integer> dataList, java.util.Set<java.lang.Integer> blockedIds, java.util.Map<java.lang.String,java.lang.String> blockAliases, java.util.Map<java.lang.String,java.lang.String> itemAliases, boolean injectFrozenData, boolean isLocalWorld)`
    `protected static boolean` | `isFrozen(FMLControlledNamespacedRegistry<?> registry)`
    `static java.util.List<java.lang.String>` | `processIdRematches(java.lang.Iterable<FMLMissingMappingsEvent.MissingMapping> missedMappings, boolean isLocalWorld, GameData gameData, java.util.Map<java.lang.String,java.lang.Integer[]> remaps)`
    `static void` | `revertToFrozen()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### blockRegistry

          @Deprecated
          public static final FMLControlledNamespacedRegistry<Block> blockRegistry

      Deprecated. use `getBlockRegistry()` instead.

    - #### itemRegistry

          @Deprecated
          public static final FMLControlledNamespacedRegistry<Item> itemRegistry

      Deprecated. use `getItemRegistry()` instead.

  - ### Method Detail

    - #### getBlockRegistry

          public static FMLControlledNamespacedRegistry<Block> getBlockRegistry()

      Get the currently active block registry.
      Returns:
        Block Registry.

    - #### getItemRegistry

          public static FMLControlledNamespacedRegistry<Item> getItemRegistry()

      Get the currently active item registry.
      Returns:
        Item Registry.

    - #### findModOwner

          @Deprecated
          public static ModContainer findModOwner(java.lang.String string)

      Deprecated. no replacement planned

    - #### buildItemDataList

          public static java.util.Map<java.lang.String,java.lang.Integer> buildItemDataList()

    - #### getBlockedIds

          public static int[] getBlockedIds()

    - #### dumpRegistry

          public static void dumpRegistry(java.io.File minecraftDir)

    - #### fixBrokenIds

          public static void fixBrokenIds(java.util.Map<java.lang.String,java.lang.Integer> dataList,
                          java.util.Set<java.lang.Integer> blockedIds)

      Fix IDs improperly allocated by early versions of the registry, best-effort. Items sharing the same ID with a block, but not sharing the same registry name will be mapped to an unused id. Losing items instead of blocks should minimize the damage.
      Parameters:
        `dataList` - List containing the IDs to fix

    - #### injectWorldIDMap

          public static java.util.List<java.lang.String> injectWorldIDMap(java.util.Map<java.lang.String,java.lang.Integer> dataList,
                                                          boolean injectFrozenData,
                                                          boolean isLocalWorld)

    - #### injectWorldIDMap

          public static java.util.List<java.lang.String> injectWorldIDMap(java.util.Map<java.lang.String,java.lang.Integer> dataList,
                                                          java.util.Set<java.lang.Integer> blockedIds,
                                                          java.util.Map<java.lang.String,java.lang.String> blockAliases,
                                                          java.util.Map<java.lang.String,java.lang.String> itemAliases,
                                                          boolean injectFrozenData,
                                                          boolean isLocalWorld)

    - #### processIdRematches

          public static java.util.List<java.lang.String> processIdRematches(java.lang.Iterable<FMLMissingMappingsEvent.MissingMapping> missedMappings,
                                                            boolean isLocalWorld,
                                                            GameData gameData,
                                                            java.util.Map<java.lang.String,java.lang.Integer[]> remaps)

    - #### freezeData

          public static void freezeData()

    - #### revertToFrozen

          public static void revertToFrozen()

    - #### isFrozen

          protected static boolean isFrozen(FMLControlledNamespacedRegistry<?> registry)

    - #### getMain

          protected static GameData getMain()